Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api.script.element
Interface IListing

All Superinterfaces:
  IDesignElement, IReportElement, IReportItem

All Known Subinterfaces:
  IList, ITable

    public interface IListing

extends IReportItem

Represents the design of an Listing in the scripting environment

Field Summary

Fields inherited from interface org.eclipse.birt.report.engine.api.script.element.IReportItem
`constants`

Method Summary
`void` | `addFilterCondition(IFilterCondition condition)` Adds filter condition.expr of IFilterCondition is required.
`void` | `addSortCondition(ISortCondition condition)` Adds sort condition.key of ISortCondition is required.
`IFilterCondition[]` | `getFilterConditions()` Returns all filter conditions
`ISortCondition[]` | `getSortConditions()` Returns all sort conditions.
`void` | `removeFilterCondition(IFilterCondition condition)` Removes filter condition.
`void` | `removeFilterConditions()` Removes filter condition.
`void` | `removeSortCondition(ISortCondition condition)` Removes sort condition.
`void` | `removeSortConditions()` Removes all sort conditions

Methods inherited from interface org.eclipse.birt.report.engine.api.script.element.IReportItem
`addDataBinding, addHideRule, addHighlightRule, getBookmark, getDataBinding, getDataBindings, getHeight, getHideRules, getHighlightRules, getTocExpression, getWidth, getX, getY, removeDataBinding, removeDataBindings, removeHideRule, removeHideRules, removeHighlightRule, removeHighlightRules, setBookmark, setCurrentView, setHeight, setHeight, setTocExpression, setWidth, setWidth, setX, setX, setY, setY`

Methods inherited from interface org.eclipse.birt.report.engine.api.script.element.IReportElement
`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getName, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setName`

Methods inherited from interface org.eclipse.birt.report.engine.api.script.element.IDesignElement
`getNamedExpression, getParent, getQualifiedName, getReport, getStyle, getUserProperty, getUserPropertyExpression, setNamedExpression, setUserProperty, setUserProperty`

Method Detail

### getFilterConditions

    IFilterCondition[] getFilterConditions()

  Returns all filter conditions

  Returns:
    all filter conditions

### addFilterCondition

    void addFilterCondition(IFilterCondition condition)
                            throws ScriptException

  Adds filter condition.expr of IFilterCondition is required.

  Parameters:
    `condition` -
  Throws:
    `ScriptException`

### removeFilterConditions

    void removeFilterConditions()
                                throws ScriptException

  Removes filter condition.

  Throws:
    `ScriptException`

### removeFilterCondition

    void removeFilterCondition(IFilterCondition condition)
                               throws ScriptException

  Removes filter condition.

  Parameters:
    `condition` -
  Throws:
    `ScriptException`

### getSortConditions

    ISortCondition[] getSortConditions()

  Returns all sort conditions.

  Returns:
    all sort conditions.

### addSortCondition

    void addSortCondition(ISortCondition condition)
                          throws ScriptException

  Adds sort condition.key of ISortCondition is required.

  Parameters:
    `condition` -
  Throws:
    `ScriptException`

### removeSortConditions

    void removeSortConditions()
                              throws ScriptException

  Removes all sort conditions

  Throws:
    `ScriptException`

### removeSortCondition

    void removeSortCondition(ISortCondition condition)
                             throws ScriptException

  Removes sort condition.

  Parameters:
    `condition` -
  Throws:
    `ScriptException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.